package com.xindazhou.business.convert.message;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.business.controller.admin.message.vo.ServiceMessageRespVO;
import com.xindazhou.business.controller.admin.message.vo.ServiceMessageSaveReqVO;
import com.xindazhou.business.dal.dataobject.message.ServiceMessageDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 服务消息 Convert
 *
 * @author xindazhou
 */
@Mapper
public interface ServiceMessageConvert {

    ServiceMessageConvert INSTANCE = Mappers.getMapper(ServiceMessageConvert.class);

    ServiceMessageDO convert(ServiceMessageSaveReqVO bean);

    ServiceMessageRespVO convert(ServiceMessageDO bean);

    PageResult<ServiceMessageRespVO> convertPage(PageResult<ServiceMessageDO> page);

    List<ServiceMessageRespVO> convertList(List<ServiceMessageDO> list);

}

